> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Order

> Delete an order by ID



## OpenAPI

````yaml delete /v1/orders/{order_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/orders/{order_id}:
    delete:
      summary: Delete Order
      description: Delete Order
      operationId: delete-order
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: order_id
          in: path
          description: It's required field
          schema:
            type: string
          required: true
      responses:
        '204':
          description: '204'
          content:
            application/json:
              examples:
                Result:
                  value: '1'
              schema:
                type: integer
                examples:
                  - 1
                default: 0
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "message": "No query results for model [App\\Business\\Order] 99daaa99-0ccb-4e46-82bd-7a4347957e0a"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    examples:
                      - >-
                        No query results for model [App\Business\Order]
                        99daaa99-0ccb-4e46-82bd-7a4347957e0a
      deprecated: false

````